import styles from './post.module.css'
import Footer from '../Footer/footer'
import Header from '../Header/Header'
import Profile from '../../assets/Profile.png'
import PostImage from '../../assets/PostImage.png'
import { Link } from 'react-router-dom';
import Login from '../Login/Login';
import { useState } from 'react';

function Post() {
  const [isShowLogin, setIsShowLogin] = useState(true);

    const handleLoginClick = () => {
    setIsShowLogin((isShowLogin) => !isShowLogin);
    };

  return (
    <div>
    <div className={styles.Container}>
      <Header handleLoginClick={handleLoginClick}  />
      <div className={styles.Wrapper}>
        <Link to='/account' className={styles.Profile}>
          <img src={Profile} alt='profile'></img>
          <p>Dilorom Alieva</p>
          <div className={styles.ProfileButtons}>
            <button className={styles.FollowButton}>Follow</button>
            <button className={styles.Bookmark}><svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path d="M7 6C7 5.46957 7.21071 4.96086 7.58579 4.58579C7.96086 4.21071 8.46957 4 9 4H15C15.5304 4 16.0391 4.21071 16.4142 4.58579C16.7893 4.96086 17 5.46957 17 6V20L12 17.5L7 20V6Z" fill="#1B5BF7"/>
              </svg>
            </button>
          </div>
        </Link>
        <div className={styles.PostWrapper}>
          <img src={PostImage} alt='PostImage'></img>
          <span className={styles.PhotoBy}>Фото: Dilorom Alieva</span>
          <div className={styles.Grid_Item_Info}>
                    <span>18:26  11.01.2021</span>
                    <span className={styles.Line}></span>
                    <span className={styles.Grid_View}>
                        <svg width="14" height="12" viewBox="0 0 14 12" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0.638672 6.00065C1.48801 3.29598 4.01534 1.33398 7 1.33398C9.98534 1.33398 12.512 3.29598 13.3613 6.00065C12.512 8.70532 9.98534 10.6673 7 10.6673C4.01534 10.6673 1.48801 8.70532 0.638672 6.00065Z" stroke="#AEBEC9" strokeLinecap="round" strokeLinejoin="round"/></svg>
                        <p>365</p>
                    </span>   
          </div>
          <h2>Разместите свои инвестиционные проекты в молодежных индустриальных зонах!</h2>
          <p>Постановлением Кабинета Министров № 294 утверждены Положение о Молодежной индустриально-предпринимательской зоне и Фонде поддержки молодых предпринимателей. <br/><br/>
          Молодые предприниматели, желающие разместить свои инвестиционные проекты в молодежных индустриальных зонах, должны предоставить необходимые документы в районные (городские) управления инвестиций и внешней торговли.<br/><br/>Содействие реализации результатов молодежных предпринимательских инициатив, стартап-проектов и прикладных исследований, комплексная поддержка проектов молодых предпринимателей в сфере промышленности и услуг, а также в Узбекистане <br/> 2017-2021 гг. Для обеспечения реализации задач, изложенных в Государственной программе реализации Стратегии действий по пяти приоритетным направлениям развития республики в «Год поддержки молодежи и здоровья населения»: 
          <br/><br/> <b>1.</b> Министерство инвестиций и внешней торговли, Министерство экономического развития и сокращения бедности, Министерство финансов, Торгово-промышленная палата и Агентство по делам молодежи создают молодежные промышленные <br/> и деловые зоны в областях, перечисленных в Приложении 1. (далее - Утвердить предложение о создании молодежных индустриальных зон). <br/><br/> В частности, в Нукусе и Берунийском районе созданы специальные штабы по внедрению "молодежной На организованном по этому случаю мероприятии начальник Каракалпакского управления Агентства <br/> по делам молодежи Республики Узбекистан, сенатор Абатбай Данияров, начальник управления Центрального аппарата Агентства по делам молодежи, член Республиканской рабочей группы Фазлиддин Бахромов предоставили членам штаба подробную информацию об их целях и задачах.<br/><br/> В этот же день члены рабочей группы провели подворный обход в махалле “Кутли конис” в Нукусе и составили специальный опросник, в котором отразили проблемы каждой женщины и каждого молодого В частности, житель этой махалли Шарапат Пердебоев, окончивший профессиональный колледж, в настоящее время является безработным. Он желает заниматься предпринимательством, а точнее выращивать <br/> в теплице бахчевые культуры. Шарапат заполнил анкету для включения его в "молодежную тетрадь". <br/><br/> Подобное изучение проведено и в махалле “Сарбиноз” в Нукусе. В беседе с членами рабочей группы жительница махалли Алия Танжарбоева сообщила, что является временно безработной, у нее есть четырехлетний ребенок с инвалидностью, она <br/> желает заниматься надомным трудом. Алия сказала, что хорошо владеет швейным делом. Поэтому ей нужна швейная машина. Алия тоже полностью заполнила – 30 членов штаба будут формировать электронные варианты заполненных анкет, - говорит Парахат Казакбаев. - Я сам лично тоже ежедневно будут вносить в электронную базу примерно 500 анкет. В процессе формирования "молодежной тетради" мы видим, что многие молодые люди и девушки свободно излагают свои проблемы.
        </p>
        </div>
      </div>
    </div>
      <Footer/>
      <Login isShowLogin={isShowLogin} />
    </div>
  )
}

export default Post